| Irrlicht 3D Engine |

Public Member Functions
irr::video::IVideoModeList Class Reference

A list of all available video modes. More...

`#include <IVideoModeList.h>`

Inheritance diagram for irr::video::IVideoModeList:

List of all members.

## Public Member Functions

- virtual s32 getDesktopDepth () const =0
    Get the pixel depth of a video mode in bits.
- virtual const
  core::dimension2d< u32 > & getDesktopResolution () const =0
    Get current desktop screen resolution.
- virtual s32 getVideoModeCount () const =0
    Gets amount of video modes in the list.
- virtual s32 getVideoModeDepth (s32 modeNumber) const =0
    Get the pixel depth of a video mode in bits.
- virtual core::dimension2d< u32 > getVideoModeResolution (s32 modeNumber) const =0
    Get the screen size of a video mode in pixels.
- virtual core::dimension2d< u32 > getVideoModeResolution (const core::dimension2d< u32 > &minSize, const core::dimension2d< u32 > &maxSize) const =0
    Get a supported screen size with certain constraints.

## Detailed Description

A list of all available video modes.

You can get a list via IrrlichtDevice::getVideoModeList(). If you are confused now, because you think you have to create an Irrlicht Device with a video mode before being able to get the video mode list, let me tell you that there is no need to start up an Irrlicht Device with EDT_DIRECT3D8, EDT_OPENGL or EDT_SOFTWARE: For this (and for lots of other reasons) the null device, EDT_NULL exists.

Definition at line 23 of file IVideoModeList.h.

## Member Function Documentation

virtual s32 irr::video::IVideoModeList::getDesktopDepth | ( |  | ) | const`[pure virtual]`

Get the pixel depth of a video mode in bits.

Returns:
  Size of each pixel of the current desktop video mode in bits.

virtual const core::dimension2d<u32>& irr::video::IVideoModeList::getDesktopResolution | ( |  | ) | const`[pure virtual]`

Get current desktop screen resolution.

Returns:
  Size of screen in pixels of the current desktop video mode.

virtual s32 irr::video::IVideoModeList::getVideoModeCount | ( |  | ) | const`[pure virtual]`

Gets amount of video modes in the list.

Returns:
  Returns amount of video modes.

virtual s32 irr::video::IVideoModeList::getVideoModeDepth | ( | s32 | modeNumber | ) | const`[pure virtual]`

Get the pixel depth of a video mode in bits.

Parameters:

  modeNumber,: | zero based index of the video mode.

Returns:
  Size of each pixel of the specified video mode in bits.

virtual core::dimension2d<u32> irr::video::IVideoModeList::getVideoModeResolution | ( | s32 | modeNumber | ) | const`[pure virtual]`

Get the screen size of a video mode in pixels.

Parameters:

  modeNumber,: | zero based index of the video mode.

Returns:
  Size of screen in pixels of the specified video mode.

virtual core::dimension2d<u32> irr::video::IVideoModeList::getVideoModeResolution | ( | const core::dimension2d< u32 > & | minSize,
|  | const core::dimension2d< u32 > & | maxSize
| ) |  | const`[pure virtual]`

Get a supported screen size with certain constraints.

Parameters:

  minSize,: | Minimum dimensions required.
  maxSize,: | Maximum dimensions allowed.

Returns:
  Size of screen in pixels which matches the requirements. as good as possible.

The documentation for this class was generated from the following file:

- IVideoModeList.h